import { RouteHandlerDefinition } from "./router";
export declare type ApiInfo = {
    title: string;
    description?: string;
    version: string;
};
export declare type RouteDefinition = Omit<RouteHandlerDefinition<"V1">, "handler">;
export declare const toOpenApi: (routes: readonly RouteDefinition[], payloadFormatVersion: "1.0" | "2.0", apiInfo: ApiInfo, functionArn: string) => object;
